[**@lancedb/lancedb**](../README.md) • **Docs**

***

[@lancedb/lancedb](../globals.md) / CompactionStats

# Interface: CompactionStats

Statistics about a compaction operation.

## Properties

### filesAdded

```ts
filesAdded: number;
```

The number of new, compacted data files added

***

### filesRemoved

```ts
filesRemoved: number;
```

The number of data files removed

***

### fragmentsAdded

```ts
fragmentsAdded: number;
```

The number of new, compacted fragments added

***

### fragmentsRemoved

```ts
fragmentsRemoved: number;
```

The number of fragments removed
